2
$\begingroup$

After i downloaded Blender 2.79b I got some problems...
i tried to install Flip Fluid. But I got tons of errors.

After that Cycles has stopped working. I also got an error message after I tried to activate it again in the User Preferences.

I deleted 2.79b and got back to 2.79. But still the same error.

I also tried to install a older graphic driver (installed the newest at the same time i downloaded 2.79b).

I also set blender back to the factory settings. But still nothing changed.

I realy dont know what do to anymore.. hopefully one of you guys got an idea =)

ps. there also pops up an error message if I try to open "Release log" "blender store" ect.

thanks for your help and sorry my english x)


Win 7 / 64 Bit

Nvidia Geforce GTX 770

Error after trying to select cycles addon

$\endgroup$
5
  • $\begingroup$ My guess is you've stuffed up your user addons folder. Type bpy.utils.script_paths('addons') <return> into the python console. You will see a list of folders. The one in your user folder, the result of this command bpy.utils.script_path_user() is your user addons folder. Try renaming it temporarilly from addons to addons_bup and restart blender. (You will not have your user installed addons) If this removes the error above edit your question, or comment and can proceed from there. $\endgroup$
    – batFINGER
    Jun 7 '18 at 13:11
  • $\begingroup$ thanks for your help. But if i type in that command i get also an error. Isnt it weird that the reinstall did not fix the problem ? $\endgroup$ Jun 7 '18 at 14:22
  • $\begingroup$ The reinstall doesn't touch your user files. See this link which details addon paths. Search your system for "addons" folders. Rename the one that is in a user path. It's my guess that the files from flip fluid and in particular __init__.py have been installed incorrectly in this folder. (Rather than in a folder within the addon folder) Do you have a link to the flip fluid addon.? $\endgroup$
    – batFINGER
    Jun 7 '18 at 15:02
  • 1
    $\begingroup$ ... if that addon (or another) has a module named "types" and it has been mistakenly installed in your addons file then it will cause an error similar to the one you are getting. $\endgroup$
    – batFINGER
    Jun 7 '18 at 15:24
  • $\begingroup$ Good one, write up an answer it may help someone else. Could try cleaning addons folder by removing files using modification times. $\endgroup$
    – batFINGER
    Jun 7 '18 at 16:12

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.